Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util
Class Immutable.Map<K,V>

    java.lang.Object
      java.util.AbstractMap<K,V>
          org.jivesoftware.util.Immutable.Map<K,V>

All Implemented Interfaces:
  Map<K,V>

Enclosing class:
  Immutable

    public static class Immutable.Map<K,V>

extends AbstractMap<K,V>

Wraps a `Immutable.Map` to provide read-only access to its elements.

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`Immutable.Map()` Default constructor (empty map)
`Immutable.Map(Map<K,V> backingMap)` Use this constructor to provide a pre-populated map that will be made read-only via this wrapper class

Method Summary
`Set<Map.Entry<K,V>>` | `entrySet()`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Immutable.Map

    public Immutable.Map(Map<K,V> backingMap)

  Use this constructor to provide a pre-populated map that will be made read-only via this wrapper class

  Parameters:
    `backingMap` -

### Immutable.Map

    public Immutable.Map()

  Default constructor (empty map)

Method Detail

### entrySet

    public Set<Map.Entry<K,V>> entrySet()

  Specified by:
    `entrySet` in interface `Map<K,V>`
  Specified by:
    `entrySet` in class `AbstractMap<K,V>`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.